xine-lib: plugin_info_t Struct Reference

xine-lib 1.2.12

Data Fields
plugin_info_t Struct Reference

`#include <xine_plugin.h>`

## Data Fields
uint8_t | type
uint8_t | API
const char * | id
uint32_t | version
const void * | special_info
void *(* | init )(xine_t *, const void *)

## Field Documentation

## ◆ API

uint8_t plugin_info_t::API

Referenced by _fat_node_init(), _insert_node(), _plugin_info_equal(), load_plugin_list(), and save_plugin_list().

## ◆ id

const char* plugin_info_t::id

Referenced by _build_list_typed_plugins(), _fat_node_init(), _get_input_class(), _insert_node(), _load_plugin_class(), _load_required_plugins(), _plugin_info_equal(), _post_plugin_node_comparator(), _register_plugins_internal(), _x_find_demux_plugin(), _x_find_demux_plugin_by_name(), _x_find_demux_plugin_last_probe(), _x_find_module(), _x_get_audio_decoder(), _x_get_spu_decoder(), _x_get_video_decoder(), _x_load_audio_output_plugin(), _x_load_video_output_plugin(), dec_node_ref(), dispose_plugin_list(), load_plugin_list(), map_decoder_list(), save_plugin_list(), xine_get_autoplay_input_plugin_ids(), xine_get_browsable_input_plugin_ids(), xine_get_demux_for_mime_type(), xine_list_post_plugins_typed(), xine_new_framegrab_video_port(), xine_open_audio_driver(), and xine_post_init().

## ◆ init

void *(* plugin_info_t::init) (xine_t *, const void *)

Referenced by _fat_node_init(), _insert_node(), and _load_plugin_class().

## ◆ special_info

const void* plugin_info_t::special_info

Referenced by _build_list_typed_plugins(), _fat_node_init(), _insert_node(), _plugin_info_equal(), _x_find_module(), _x_load_video_output_plugin(), dispose_plugin_list(), load_plugin_list(), map_decoder_list(), save_plugin_list(), xine_list_post_plugins_typed(), xine_open_audio_driver(), and xine_post_init().

## ◆ type

uint8_t plugin_info_t::type

Referenced by _decoder_priority_cb(), _dispose_plugin_class(), _fat_node_init(), _insert_node(), _load_plugin_class(), _load_required_plugins(), _plugin_info_equal(), _register_plugins_internal(), dispose_plugin_list(), load_plugin_list(), and save_plugin_list().

## ◆ version

uint32_t plugin_info_t::version

Referenced by _fat_node_init(), _plugin_info_equal(), load_plugin_list(), and save_plugin_list().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/include/xine/xine_plugin.h